Bug 463532 - [LTC 6.0 FEAT] 201000:FICON: Hyper PAV enablement
[LTC 6.0 FEAT] 201000:FICON: Hyper PAV enablement
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 16:31 EDT by IBM Bug Proxy
Modified: 2010-06-08 10:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 17:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 16:31:24 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:55 EDT
1. Feature Overview:
Feature Id:	[201000]
a. Name of Feature:	FICON: Hyper PAV enablement
b. Feature Description
This item is to implement the Hyper-Parallel-Access-Volume support in zLinux.  This is a very
flexible concept to massively improve device performance by using a set of subchannels as an ALIAS-pool.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	System Storage
Request Type:	Driver - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.25

3. Business Case
Customers will observe increased and sustained I/O performance improvements exploiting parallel
Access Volume (PAV) support for disk storage access. Supporting HyperPAV will lead to significantly
reduced configuration efforts as opposed to static PAV setups with the system dynamically self
optimizing its I/O configuration.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:26:44 EDT
RHEL 6 will include a kernel newer than 2.6.25, so this should not be an issue.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 17:08:28 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-06-08 10:01:05 EDT
------- Comment From mgrf@de.ibm.com 2010-06-08 09:56 EDT-------
This feature is verified on R6 snapshots with the following bug reported
- severity = normal
-> fix available but planned for R6.1 to achieve proper test coverage

LTC 57823   -  RHBZ529362 - INFO: SOFTIRQ-safe -> SOFTIRQ-unsafe lock order detected

Set feature to verified. Thx

Note You need to log in before you can comment on or make changes to this bug.